Package uk.ac.starlink.task

# Interface Executable

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface Executable
Defines an object which does the work of a task without any further user or environment interaction.

Since:
  19 Aug 2005
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`void`
`execute()`
Performs the work defined by this object.

## Method Details

### execute

void execute() throws TaskException, IOException
Performs the work defined by this object.

Throws:
  `TaskException`
  `IOException`